File Exchange

image thumbnail

Requirements Checker

version 1.1.8 (2.88 KB) by Tommaso Belluzzo
A script for detecting dependancies and minimum required version of other Matlab scripts.

2 Downloads

Updated 08 Mar 2020

View Version History

View License

# INTRODUCTION #

This script is a simple utility for detecting dependancies and minimum required version of Matlab scripts. It's very handy when it comes to publishing scripts on code sharing platforms and/or preserving the backward compatibility of releases.

# USAGE #

The "check_requirements" function accepts a single input argument, which must be the valid path to a Matlab script or a directory containing one or more Matlab scripts at any level of depth. The structure of the function result depends upon the "type" input argument:

1) ALL: a structure with two fields, "Deps" and "VerInfo", whose values are described below.
2) DEP: a cell array of strings that represent the name of the dependancies.
3) VER: if "extv" is false, a string representing the minimum version, otherwise an n-by-3 table listing all the called functions and their respective minimum version (if available).

# EXAMPLES #

1) Global requirements check on all the scripts within a specified folder:
res = check_requirements('C:\Scripts\');

2) Requirements check on a specific script:
res = check_requirements('C:\Scripts\my_script.m');

# NOTES #

The "check_requirements" function uses a best-effort methodology. This means that it tries to gather as much information as possible but it cannot guarantee a 100% accurate result.

Cite As

Tommaso Belluzzo (2020). Requirements Checker (https://www.mathworks.com/matlabcentral/fileexchange/69294-requirements-checker), MATLAB Central File Exchange. Retrieved .

Comments and Ratings (0)

MATLAB Release Compatibility
Created with R2018a
Compatible with R2014b to R2018b
Platform Compatibility
Windows macOS Linux

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!